LoginNotify cleanup
Closed, ResolvedPublic3 Story Points

Description

  • EchoBasicFormatter seems AWOL T151413
  • onLoginAuthenticateAudit says return bool, but it doesn't return one
  • onUserLoadOptions calls isUserOptionOverriden with too many parameters
Reedy created this task.Nov 22 2016, 10:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 22 2016, 10:31 PM

Theoretically the class extending EchoBasicFormatter should just be deleted - it won't be used because Echo now uses the presentation model and got rid of the old formatting system. See https://www.mediawiki.org/wiki/Extension:Echo/Creating_a_new_notification_type

Relying on $user->getRequest() is misleading IMO since it's using the global request, nothing specific to a user.

TheDJ added a subscriber: TheDJ.Nov 24 2016, 9:37 AM

I was looking at the code, and I think it currently treats primary and secondary authentication failures the same right ? I'm wonder if with 2FA there will be a very different failure rate on the 2FA auth, and if we need different weight depending on the Authmanager plugin throwing it.

I don't think we will be able to determine that before hand, but maybe we should have some logging, which would allow us to evaluate the experience ?

I was looking at the code, and I think it currently treats primary and secondary authentication failures the same right ? I'm wonder if with 2FA there will be a very different failure rate on the 2FA auth, and if we need different weight depending on the Authmanager plugin throwing it.

I don't think we will be able to determine that before hand, but maybe we should have some logging, which would allow us to evaluate the experience ?

Yeah. Original this was written pre auth manager so secondary auth was not really a thing yet. That's a good point. Im not really sure what the correct answer is.

kaldari triaged this task as Normal priority.Jan 3 2017, 5:44 PM
kaldari set the point value for this task to 3.

Change 333671 had a related patch set uploaded (by Niharika29):
Remove EchoBasicFormatter - no longer in use

https://gerrit.wikimedia.org/r/333671

@Niharika: This looks done, but the commit summary says "[WIP]". Is it still being worked on or safe to merge?

@kaldari Removed WIP. It's waiting for a review before merge.

Change 333671 merged by jenkins-bot:
Remove EchoBasicFormatter - no longer in use

https://gerrit.wikimedia.org/r/333671

kaldari closed this task as Resolved.